package com.lz.modules.flow.entity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import java.util.Date;
/**
* <p>
* 菜单权限表
* </p>*流转关系表
* @author quyixiao
* @since 2020-08-23
*/

@Data
@TableName("lz_flow_department")
public class FlowDepartment implements java.io.Serializable {
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除状态，1：删除，0：有效
    private Integer isDelete;
    //创建时间
    private Date gmtCreate;
    //最后修改时间
    private Date gmtModified;
    //员工 id
    private Long staffId;
    //自己走的流程 id
    private String flowIds;
    //部门级别
    private String departmentLevel;
    //
    private Long parentId;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除状态，1：删除，0：有效 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除状态，1：删除，0：有效 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     * 创建时间 
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 最后修改时间 
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     * 最后修改时间 
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 员工 id 
     * @return
     */
    public Long getStaffId() {
        return staffId;
    }
    /**
     * 员工 id 
     * @param staffId
     */
    public void setStaffId(Long staffId) {
        this.staffId = staffId;
    }

    /**
     * 自己走的流程 id 
     * @return
     */
    public String getFlowIds() {
        return flowIds;
    }
    /**
     * 自己走的流程 id 
     * @param flowIds
     */
    public void setFlowIds(String flowIds) {
        this.flowIds = flowIds;
    }

    /**
     * 部门级别 
     * @return
     */
    public String getDepartmentLevel() {
        return departmentLevel;
    }
    /**
     * 部门级别 
     * @param departmentLevel
     */
    public void setDepartmentLevel(String departmentLevel) {
        this.departmentLevel = departmentLevel;
    }

    /**
     *  
     * @return
     */
    public Long getParentId() {
        return parentId;
    }
    /**
     *  
     * @param parentId
     */
    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    @Override
    public String toString() {
        return "FlowDepartment{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",staffId=" + staffId +
                ",flowIds=" + flowIds +
                ",departmentLevel=" + departmentLevel +
                ",parentId=" + parentId +
                "}";
    }
}